DNF5-DOWNLOAD(8)

NAME
dnf5-download - Download Command

SYNOPSIS

dnf5 download [options] <package-spec-NPFB>...

DESCRIPTION

The download command in DNF5 is used for downloading binary and source packages defined in package-spec-NPFB arguments to the current working directory.

OPTIONS

    --arch
        Limit to packages of given architectures. This option can be used multiple times.

    --resolve
        Resolve dependencies of specified packages and download missing ones.

    --alldeps
        To be used together with --resolve, it downloads all dependencies, not skipping the already installed ones.

    --from-repo=REPO_ID,...
        Packages (or their provides) explicitly specified on the command line will only be looked up in the specified repositories.
        These repositories are automatically enabled.
        Repository enabling and disabling still applies. Dependencies of these packages will be resolved from any enabled repository.

    --from-vendor=VENDOR,...
        List of vendors separated by commas or spaces. Globs are supported (e.g., --from-vendor='Fedora\ project, vendorA, vendorB*, vendorC').
        Packages (or their provides) explicitly specified on the command line will only be looked up from the specified vendors.
        The vendor change check is bypassed for these packages.
        The vendor is ignored or vendor change policies (if allow_vendor_change=0) will still be used for packages that satisfy dependencies.

    --destdir=<path>
        Set directory used for downloading packages to. Default location is to the current working directory.

    --skip-unavailable
        Allow skipping packages that are not available in repositories. All available packages will be downloaded.

    --srpm
        Download the source rpm. Enables source repositories of all enabled binary repositories.

    --debuginfo
        Download the debuginfo rpm. Enables debuginfo repositories of all enabled binary repositories.

    --debugsource
        Download the debugsource rpm. Enables debugsource repositories of all enabled binary repositories.

    --url
        Prints the list of URLs where the rpms can be downloaded instead of downloading.

    --urlprotocol
        To be used together with --url. It filters out the URLs to the specified protocols: http, https, ftp, or file. This option can be used multiple times.

    --allmirrors
        To be used together with --url. It prints out space-separated URLs from all available mirrors for each package.

EXAMPLES

    dnf5 download kernel-headers-0:5.17.0-300.fc36.i686
        Download the kernel-headers package using the full NEVRA format.

    dnf5 download rpm rpm-devel
        Download all packages having the name of rpm or rpm-devel.

    dnf5 download maven-compiler-plugin --resolve --alldeps
        Download the maven-compiler-plugin package with all its dependencies.

    dnf5 download --destdir /tmp/my_packages maven-compiler-plugin
        Download the maven-compiler-plugin package to /tmp/my_packages directory.

    dnf5 download --url --urlprotocol http python
        List the http URL to download the python package.

    dnf5 download python --arch x86_64
        Downloads python with the x86_64 architecture.

    dnf5 download dnf5 --srpm
        Download the dnf5 source rpm.

    dnf5 download kernel --debuginfo
        Download the kernel debuginfo rpm.

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.